%global srcname rofi-shutdown-menu
%define debug_package %{nil}

Name:           rofi-shutdown-menu
Version:        0.0.4
Release:        1%{?dist}
Summary:        Script to create a shutdown menu with Rofi
Url:            https://pagure.io/%{srcname}
# Sources can be obtained by
# git clone https://pagure.io/rofi-shutdown-menu
# cd rofi-shutdown-menu
# tito build --tgz
License:        GPLv3


BuildRequires: systemd-rpm-macros
BuildRequires: systemd

BuildArch:      noarch
Requires:       rofi
Requires:       coreutils
Requires:       swaylock
Requires:       systemd

Source0:        %{name}-%{version}.tar.gz

%description
Script to create a shutdown menu with Rofi.

%prep
%autosetup

%build

%install
install -d $RPM_BUILD_ROOT%{_bindir}
install -m 755 %{name} %{buildroot}%{_bindir}
install -m 755 lockscreen %{buildroot}%{_bindir}

%files
%{_bindir}/%{name}
%{_bindir}/lockscreen
%changelog
* Tue Aug 29 2023 Junior_FOX <cjuniorfox@gmail.com> 0.0.4-1
- fix poweroff option (cjuniorfox@gmail.com)

* Tue Aug 29 2023 Junior_FOX <cjuniorfox@gmail.com> 0.0.3-1
- dependencies change (cjuniorfox@gmail.com)

* Tue Aug 29 2023 Junior_FOX <cjuniorfox@gmail.com> 0.0.2-1
- now using the hyprland-shell copr repository (cjuniorfox@gmail.com)
- added the lockscreen and dependencies. pt_BR language support
  (cjuniorfox@gmail.com)

* Wed Aug 16 2023 Junior_FOX <cjuniorfox@gmail.com> 0.0.1-1
- new package built with tito

